//
//  MSBezierBooleanOps.h
//  BooleanOps
//
//  Created by Pieter Omvlee on 3/19/08.
//  Copyright 2008 GetDrawIt. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "gpc.h"

@interface NSBezierPath (BezierBooleanOps)
+ (NSBezierPath*)bezierPathWithPolygon:(gpc_polygon*)polygon;
- (gpc_polygon*)polygon;

- (NSBezierPath*)booleanOp:(gpc_op)op withPath:(NSBezierPath*)otherPath;
- (NSBezierPath*)booleanUnionWith:(NSBezierPath*)otherPath;
- (NSBezierPath*)booleanIntersectionWith:(NSBezierPath*)otherPath;
- (NSBezierPath*)booleanDifferenceWith:(NSBezierPath*)otherPath;
- (NSBezierPath*)booleanExclusiveOrWith:(NSBezierPath*)otherPath;

@end
